## vmware-nsx 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

eventlet>=0.17.4
httplib2>=0.7.5
netaddr!=0.7.16,>=0.7.12
retrying!=1.3.0,>=1.2.3 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
tooz>=1.19.0 # Apache-2.0

=== debian/changelog ===
vmware-nsx (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #805369).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Nov 2015 09:43:45 +0000

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.9.2),
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-networking-l2gw,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pbr (>= 1.6),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-subunit (>= 0.0.18),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.19.0),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/vmware-nsx.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/vmware-nsx.git

Package: python-vmware-nsx
Architecture: all
Section: python
Depends: python-eventlet (>= 0.17.4),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.12),
         python-networking-l2gw,
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.vmware (>= 1.16.0),
         python-pbr (>= 1.6),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 1.19.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the VMWare NSX plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/openstack/vmware-nsx.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-vmware-nsx/usr/etc

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## vmware-nsx 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
retrying!=1.3.0,>=1.2.3 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
neutron-lib>=0.0.1 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
tooz>=1.28.0 # Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
vmware-nsx (8.0.0-0ubuntu0.16.04.2) xenial; urgency=medium

  * d/python-vmware-nsx.{install,maintscript}: Install nsx.ini to
    /etc/neutron/plugins/vmware rather than directly into /etc/neutron,
    and deal with migration of any user changes (LP: #1610252).

 -- James Page <james.page@ubuntu.com>  Fri, 05 Aug 2016 14:46:20 +0100

vmware-nsx (8.0.0-0ubuntu0.16.04.1) xenial; urgency=medium

  [ James Page ]
  * New upstream release for OpenStack Mitaka (LP: #1600162, Closes: #830337).
  * Align (Build-)Depends with upstream.
  * Fix epoch for python-neutron-lbaas dependencies.
  * Switch to ostestr for unit test execution, avoiding test races and
    associated FTBFS (Closes: #830337).
  * Add BD on python-testresources (indirect test dependency).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- James Page <james.page@ubuntu.com>  Mon, 11 Jul 2016 10:47:40 +0100

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.9.2),
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-networking-l2gw,
                     python-neutron-lbaas (>= 1:8.0.0~),
                     python-neutron-lib (>= 0.0.1),
                     python-os-testr,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pbr (>= 1.6),
                     python-prettytable (>= 0.7),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-subunit (>= 0.0.18),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git

Package: python-vmware-nsx
Architecture: all
Section: python
Depends: python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.12),
         python-networking-l2gw,
         python-neutron-lbaas (>= 1:8.0.0~),
         python-neutron-lib (>= 0.0.1),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-pbr (>= 1.6),
         python-prettytable (>= 0.7),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 1.28.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the VMWare NSX plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-vmware-nsx/usr/etc

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## vmware-nsx 9.0.0~git20160927.64c87d2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
retrying!=1.3.0,>=1.2.3 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
neutron-lib>=0.4.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.vmware>=2.11.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
tooz>=1.28.0 # Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
vmware-nsx (9.0.0~git20160927.64c87d2-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for OpenStack Newton.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Cherry pick fix
    to ensure that alembic migrations are installed with module
    (LP: #1574610).

 -- James Page <james.page@ubuntu.com>  Wed, 28 Sep 2016 14:34:21 +0100

vmware-nsx (8.0.0-2) unstable; urgency=medium

  * Fix epoch for python-neutron-lbaas dependencies.
  * Switch to ostestr for unit test execution, avoiding test races and
    associated FTBFS (Closes: #830337).
  * Add BD on python-testresources (indirect test dependency).

 -- James Page <james.page@ubuntu.com>  Mon, 11 Jul 2016 10:47:40 +0100

vmware-nsx (8.0.0-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release for OpenStack Mitaka (LP: #1600162, Closes: #830337).
  * Align (Build-)Depends with upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- James Page <james.page@ubuntu.com>  Fri, 08 Jul 2016 12:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,10 @@
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
                      python-networking-l2gw,
+                     python-networking-sfc,
                      python-neutron-lbaas (>= 1:8.0.0~),
                      python-neutron-lib (>= 0.0.1),
+                     python-neutron-taas,
                      python-os-testr,
                      python-oslo.concurrency (>= 3.5.0),
                      python-oslo.config (>= 1:3.7.0),
@@ -63,8 +65,10 @@
          python-httplib2 (>= 0.7.5),
          python-netaddr (>= 0.7.12),
          python-networking-l2gw,
+         python-networking-sfc,
          python-neutron-lbaas (>= 1:8.0.0~),
          python-neutron-lib (>= 0.0.1),
+         python-neutron-taas,
          python-oslo.concurrency (>= 3.5.0),
          python-oslo.config (>= 1:3.7.0),
          python-oslo.db (>= 4.1.0),

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	ostestr
 endif
+
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p $(CURDIR)/debian/python-vmware-nsx/etc/neutron/plugins/vmware
+	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace nsx \
+		--output-file $(CURDIR)/debian/python-vmware-nsx/etc/neutron/plugins/vmware/nsx.ini
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## vmware-nsx 10.0.1~git20170317.bfa48c0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0.0,>=1.8 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
tenacity>=3.2.1 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
neutron-lib>=1.1.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
tooz>=1.47.0 # Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
vmware-nsx (10.0.1~git20170317.bfa48c0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Mar 2017 10:54:34 +0000

vmware-nsx (10.0.1~git20170317.bfa48c0-0ubuntu1) zesty; urgency=medium

  [ James Page ]
  * New upstream snapshot for OpenStack Ocata.
  * d/control: Add epoch for networking-l2gw dependencies.
  * d/control: Add BD on python-neutron >= 10.0.0-0ubuntu3~ to ensure
    that unit tests execute with an in-memory sqlite db.
  * d/rules: Directly use ostestr for unit test execution.
  * d/p/*: Dropped, no longer required.
  * d/rules: Ignore results of unit tests due to random test failures
    with missing tables in sqlite backed tests when under memory
    pressure (See https://pad.lv/1676712).

  [ Chuck Short ]
  * debian/control: Update dependencies
  * debian/rules: Set PBR_VERSION
  * d/control: Add dep8 tests.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Mar 2017 05:05:40 +0100

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
Build-Depends-Indep: pylint (>= 1.4.5),
                     python-coverage (>= 4.0),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.12.0),
                     python-httplib2 (>= 0.7.5),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-networking-l2gw (>= 1:1.0.0+git20170315),
                     python-networking-sfc (>= 4.0.0),
                     python-neutron (>= 10.0.0-0ubuntu3~),
                     python-neutron-lbaas (>= 10.0.0),
                     python-neutron-lib (>= 1.1.0),
                     python-neutron-taas (>= 1.0.0),
                     python-openstackclient (>= 3.3.0),
                     python-os-testr,
                     python-osc-lib (>= 1.2.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.vmware (>= 2.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-pyroute2 (>= 0.4.12),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-vmware-nsxlib (>= 0.7.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsx
Architecture: all
Section: python
Depends: python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-httplib2 (>= 0.7.5),
         python-netaddr (>= 0.7.13),
         python-networking-l2gw (>= 1:1.0.0+git20170315),
         python-networking-sfc (>= 4.0.0),
         python-neutron-lbaas (>= 10.0.0),
         python-neutron-lib (>= 1.1.0),
         python-neutron-taas (>= 1.0.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.vmware (>= 2.11.0),
         python-prettytable (>= 0.7.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.28.0),
         python-vmware-nsxlib (>= 0.2.0),
         python-oslo.log (>= 3.11.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the VMWare NSX plugin.

## vmware-nsx 11.0.0~git20170831.ebc495190

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
httplib2>=0.7.5 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
tenacity>=3.2.1 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=1.9.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
tooz>=1.47.0 # Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
vmware-nsx (11.0.0~git20170831.ebc495190-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.
  * d/python-vmware-nsx.install: Correct install source for policy files.

 -- James Page <james.page@ubuntu.com>  Thu, 31 Aug 2017 09:29:41 +0100

vmware-nsx (11.0.0~git20170502.d85dd105-0ubuntu1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.
  * New upstream snapshot for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 03 May 2017 12:50:30 -0400

=== debian/control ===
--- 
+++ 
@@ -22,22 +22,24 @@
                      python-netaddr (>= 0.7.13),
                      python-networking-l2gw (>= 1:1.0.0+git20170315),
                      python-networking-sfc (>= 4.0.0),
-                     python-neutron (>= 10.0.0-0ubuntu3~),
-                     python-neutron-lbaas (>= 10.0.0),
-                     python-neutron-lib (>= 1.1.0),
+                     python-neutron (>= 11.0.0~),
+                     python-neutron-dynamic-routing (>= 11.0.0~),
+                     python-neutron-fwaas (>= 11.0.0~),
+                     python-neutron-lbaas (>= 11.0.0~),
+                     python-neutron-lib (>= 1.3.0),
                      python-neutron-taas (>= 1.0.0),
                      python-openstackclient (>= 3.3.0),
                      python-os-testr,
                      python-osc-lib (>= 1.2.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:3.22.0),
+                     python-oslo.db (>= 4.19.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
                      python-oslo.privsep (>= 1.9.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.vmware (>= 2.17.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
@@ -47,10 +49,10 @@
                      python-pyroute2 (>= 0.4.12),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
+                     python-sphinx (>= 1.5.1),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:14.0.0),
                      python-tenacity (>= 3.2.1),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
@@ -74,26 +76,28 @@
          python-netaddr (>= 0.7.13),
          python-networking-l2gw (>= 1:1.0.0+git20170315),
          python-networking-sfc (>= 4.0.0),
-         python-neutron-lbaas (>= 10.0.0),
-         python-neutron-lib (>= 1.1.0),
+         python-neutron-dynamic-routing (>= 11.0.0~),
+         python-neutron-fwaas (>= 11.0.0~),
+         python-neutron-lbaas (>= 11.0.0~),
+         python-neutron-lib (>= 1.3.0),
          python-neutron-taas (>= 1.0.0),
          python-osc-lib (>= 1.2.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:3.22.0),
+         python-oslo.db (>= 4.19.0),
          python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 3.11.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.vmware (>= 2.11.0),
          python-prettytable (>= 0.7.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-tenacity (>= 3.2.1),
-         python-tooz (>= 1.28.0),
+         python-tooz (>= 1.47.0),
          python-vmware-nsxlib (>= 0.2.0),
-         python-oslo.log (>= 3.11.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack virtual network service - VMWare NSX plugin

## vmware-nsx 12.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
tenacity>=3.2.1 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=1.13.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
tooz>=1.58.0 # Apache-2.0
decorator>=3.4.0 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,>=1.6.2 # BSD
oslosphinx>=4.7.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
vmware-nsx (12.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:52:53 -0500

vmware-nsx (12.0.0~git20180220.b0ae24dd-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 21:19:09 -0500

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
Build-Depends-Indep:
 pylint (>= 1.4.5),
 python-coverage (>= 4.0),
 python-decorator (>= 3.4.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-networking-l2gw (>= 1:1.0.0+git20170315),
 python-networking-sfc (>= 4.0.0),
 python-neutron (>= 11.0.0~),
 python-neutron-dynamic-routing (>= 11.0.0~),
 python-neutron-fwaas (>= 11.0.0~),
 python-neutron-lbaas (>= 11.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutron-taas (>= 1.0.0),
 python-openstackclient (>= 3.12.0),
 python-os-testr,
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.2),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 0.0.18),
 python-tempest (>= 1:17.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-vmware-nsxlib (>= 0.7.0),
 python-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsx
Architecture: all
Section: python
Depends:
 python-decorator (>= 3.4.0),
 python-eventlet (>= 0.18.2),
 python-httplib2 (>= 0.9.1),
 python-netaddr (>= 0.7.18),
 python-networking-l2gw (>= 1:1.0.0+git20170315),
 python-networking-sfc (>= 4.0.0),
 python-neutron-dynamic-routing (>= 11.0.0~),
 python-neutron-fwaas (>= 11.0.0~),
 python-neutron-lbaas (>= 11.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutron-taas (>= 1.0.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.58.0),
 python-vmware-nsxlib (>= 0.2.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the VMWare NSX plugin.

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,18 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(VERSION)
+export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	# NOTE(jamespage): Disable unit tests due to sqlite related test failures
+	#                  with in-memory db's in low memory conditions.
+	#                  See https://bugs.launchpad.net/1676712
+	# ostestr
+	:
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/vmware-nsx vmware-nsx-(\d.*)\.tar\.gz
